package io.skore.smooch_plugin

import android.os.Bundle
import android.util.Log
import io.smooch.core.Smooch
import io.smooch.ui.ConversationActivity
import kotlinx.android.synthetic.main.smooch_activity_conversation.*

class SmoochActivity : ConversationActivity() {
    private val TAG = SmoochActivity::class.java.simpleName

    private val DEFAULT_COLOR = 0xFFFF0000.toInt() // ARGB => 1 byte each

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        supportActionBar?.setDisplayHomeAsUpEnabled(false)

        val color: Int = intent?.extras?.getInt("COLOR") ?: DEFAULT_COLOR
        toolbar?.setBackgroundColor(color)

        val connectionStatus = Smooch.getSmoochConnectionStatus()
        val initStatus = Smooch.getInitializationStatus()
        val loginStatus = Smooch.getLastLoginResult()
        Log.d(TAG, "Smooch status\nConnection: ${connectionStatus?.name ?: "unknown"}\nInit: ${initStatus?.name ?: "unknown"}\nLogin: ${loginStatus?.name ?: "unknown"}")

        back.setOnClickListener {
            onBackPressed()
        }
    }
}